VERSION 5.00
Object = "{6B7E6392-850A-101B-AFC0-4210102A8DA7}#1.3#0"; "comctl32.ocx"
Begin VB.Form frmManuals 
   Caption         =   "StrawHelp: Manuals"
   ClientHeight    =   4485
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   8385
   Icon            =   "frmManuals.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   4485
   ScaleWidth      =   8385
   Begin ComctlLib.ListView lvManuals 
      Height          =   3615
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   6135
      _ExtentX        =   10821
      _ExtentY        =   6376
      Arrange         =   2
      LabelEdit       =   1
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      _Version        =   327682
      Icons           =   "ilStrHlpBig"
      SmallIcons      =   "ilStrHlpSml"
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   0
   End
   Begin ComctlLib.ImageList ilStrHlpSml 
      Left            =   600
      Top             =   3480
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   17
      ImageHeight     =   17
      MaskColor       =   12632256
      _Version        =   327682
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7} 
         NumListImages   =   1
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "frmManuals.frx":08CA
            Key             =   ""
         EndProperty
      EndProperty
   End
   Begin ComctlLib.ImageList ilStrHlpBig 
      Left            =   0
      Top             =   3480
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   34
      ImageHeight     =   34
      MaskColor       =   12632256
      UseMaskColor    =   0   'False
      _Version        =   327682
      BeginProperty Images {0713E8C2-850A-101B-AFC0-4210102A8DA7} 
         NumListImages   =   1
         BeginProperty ListImage1 {0713E8C3-850A-101B-AFC0-4210102A8DA7} 
            Picture         =   "frmManuals.frx":0A28
            Key             =   ""
         EndProperty
      EndProperty
   End
End
Attribute VB_Name = "frmManuals"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' Project: StrawHelp
' Form   : frmManuals
'
' Purpose: List the available manuals so the user can choose
'          which they'd like to view.
'
' Loaded : As program starts, with list of manuals.
' Unloads: Itself, when 'X' button clicked; hides itself when
'          manual is displayed (it is reopened later).
'
' Author : Rick Murray
'          heyrick1973 @ yahoo . co . uk
'          http://www.heyrick.co.uk/software/strawhelp/
'
' Version: 0.02
'
' Date   : 26th April 2008
' Started: 18th April 2008
'
'
' Licence:
'
'   StrawHelp is Copyright  2015 Rick Murray
'
'   Licensed under the EUPL, Version 1.1 ONLY (the "Licence");
'   You may not use this work except in compliance with the Licence.
'
'   You may obtain a copy of the Licence in all European languages at:
'     https://joinup.ec.europa.eu/software/page/eupl
'
'   A PDF version in English should have been supplied with this source.
'   If it was not, a copy may be found at the above URL.
'
'   Unless required by applicable law or agreed to in writing, software
'   distributed under the Licence is distributed on an "AS IS" basis,
'   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
'   implied. See the Licence for the specific language governing
'   permissions and limitations under the Licence.
'

Option Explicit


Private MyItem As ComctlLib.ListItem


Private Sub Form_Load()
  Me.Left = (Screen.Width - Me.Width) / 2
  Me.Top = (Screen.Height - Me.Height) / 2
End Sub


Private Sub Form_Resize()
  If (Me.WindowState = vbMinimized) Then Exit Sub
    
  Me.lvManuals.Width = Me.Width - 120
  Me.lvManuals.Height = Me.Height - 530
End Sub


Private Sub lvManuals_ItemClick(ByVal Item As ComctlLib.ListItem)
  Set MyItem = Item
End Sub


Private Sub lvManuals_DblClick()
  ' Load the manual
  On Error GoTo ClickError
  
  If (Help_Load(App.Path & "\Manuals\" & MyItem.Key) _
    = False) Then Exit Sub
  
  ' look for "$.!root" entry
  If (ManualRootEntry = 0) Then
    MsgBox "Can't find initial help page to open in this " & _
           "manual (there should be a file called " & _
           Chr$(34) & "!Root" & Chr$(34) & "..."
    Load frmFileSys
    Help_PopulateDir
    frmFileSys.Show
    frmFileSys.tvDirs.Nodes(1).Expanded = True
    Help_PopulateFile 1
  Else
    Me.Hide
    Help_PushToStack ManualRootEntry
    Help_ConvertToHTML ManualRootEntry
  End If
  Exit Sub

ClickError:
  ' user probably double-clicked outside of an object, so just get out...
  Beep
End Sub

Private Sub lvManuals_MouseUp(Button As Integer, _
                              Shift As Integer, _
                              x As Single, y As Single)
  If (Button = vbRightButton) Then
    If (Me.lvManuals.View = lvwIcon) Then
      Me.lvManuals.View = lvwSmallIcon
    Else
      Me.lvManuals.View = lvwIcon
    End If
  End If
End Sub
